Folks.Debug.dup_with_flags – folks Reference Manual

# dup_with_flags

## Description:

public static Debug dup_with_flags (string? debug_flags, bool colour_enabled)

Create or return the singleton Folks.Debug class instance. If the instance doesn't exist already, it will be created with the given set of debug domains enabled. Otherwise, the existing instance will have its set of enabled domains changed to the provided set.

## Parameters:

debug_flags | A comma-separated list of debug domains to enable, or null to disable debug output
colour_enabled | Whether debug output should be coloured using terminal escape sequences

## Returns:

Singleton Folks.Debug instance

## Since:

0.5.1